Spaces method and path for this operation:
get /s/{space_id}/api/fleet/agents
Refer to Spaces for more information.
List agents, with optional filtering and pagination.
[Required authorization] Route required privileges: fleet-agents-read.
GET
/api/fleet/agents
curl \
--request GET 'https://<KIBANA_URL>/api/fleet/agents' \
--header "Authorization: $API_KEY"
Response examples (200)
List of agents
{
"items": [
{
"active": true,
"enrolled_at": "2024-01-01T00:00:00.000Z",
"id": "agent-id-1",
"policy_id": "agent-policy-id-1",
"policy_revision": 1,
"status": "online",
"type": "PERMANENT",
"updated_at": "2024-01-01T00:00:00.000Z"
}
],
"page": 1,
"perPage": 20,
"total": 1
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}